Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 850744 - [win] CTP Block Silverlight up to but not including 5.1.20125.0
: [win] CTP Block Silverlight up to but not including 5.1.20125.0
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Jorge Villalobos [:jorgev]
: Paul Silaghi, QA [:pauly]
: Jorge Villalobos [:jorgev]
Depends on:
  Show dependency treegraph
Reported: 2013-03-13 10:15 PDT by Alex Keybl [:akeybl]
Modified: 2016-03-07 15:30 PST (History)
5 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Alex Keybl [:akeybl] 2013-03-13 10:15:06 PDT
Please CTP Block Silverlight up to but not including 5.1.20125.0.

This should be an extension of
Comment 1 Jorge Villalobos [:jorgev] 2013-03-13 15:38:51 PDT
This block is now staged.
Comment 2 Paul Silaghi, QA [:pauly] 2013-03-14 08:26:49 PDT
Silverlight 5.1.10411.0 is blocked on Win.
Silverlight 5.1.20125.0 is not blocked on Win.
Didn't find more versions between them to test.
Also, should the block apply on Mac too?
Comment 3 Alex Keybl [:akeybl] 2013-03-14 11:00:54 PDT
The Windows CTP blocks will cover >95% of users for now, let's not block on that. We can always file followup bugs, since they'll require new testing.

Can we call this verified? Did Netflix function properly even when CTP'd?
Comment 4 Paul Silaghi, QA [:pauly] 2013-03-14 11:48:35 PDT
(In reply to Alex Keybl [:akeybl] from comment #3)
> Can we call this verified?

> Did Netflix function properly even when CTP'd?
Netflix is N/A outside of the US.
But and work fine.
Comment 5 Jorge Villalobos [:jorgev] 2013-03-14 13:36:52 PDT
This is live now.
Comment 6 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-03-14 13:48:22 PDT
I asked Tyler to check the Netflix use case on staging for you, Alex.

Firefox 19.0.2 + Silverlight 5.1.10411.0 is CTP blocked on Netflix.
Firefox 19.0.2 + Silverlight 5.1.20125.0 is not blocked on Netflix.

I see Jorge has already pushed the block live but at least we have confidence in this use case.
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-03-14 13:49:23 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #5)
> This is live now.

Unfortunately, due to caching, this will not be on production in time for me to test today. Paul, can you please make sure you test the live blocklist first thing when you start your day tonight?

Thank you
Comment 8 juan becerra [:juanb] 2013-03-14 21:32:53 PDT
I've tested this in production using 19.0.2 on WinXP and Win7 visiting Netflix:
- CTP Blocked
- Highlighted in red as out of date in about:addons
- I can click to play and continue viewing
- I can select to update and when I visit the plugin update page I get offered to download the latest version (32bit for XP, 64bit for Win7).
- Latest version is not CTP blocked

- Is not CTP blocked

This should also apply to Mac, but it isn't CTP blocked at the moment.
Comment 9 Mahibub 2015-05-07 23:42:31 PDT
Please Unblock my adobe flash player
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2015-05-08 07:14:53 PDT
(In reply to Mahibub from comment #9)
> Please Unblock my adobe flash player

If you're encountering a bug, please file a new bug report.
If you're having problems with Flash and Firefox, please seek help on

Thank you

Note You need to log in before you can comment on or make changes to this bug.